%define module Gtk2-MozEmbed
%define fmodule MozEmbed

Summary: Perl module for the Gecko engine
Name:    perl-%module
Version: 0.06
Release: %mkrel 7
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: perl-devel 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Gtk2 >= 1.081
BuildRequires: perl-ExtUtils-PkgConfig
# ensure we link/requires the right browser:
BuildConflicts: mozilla-devel
BuildRequires: mozilla-firefox-devel
BuildRequires: glib2-devel
BuildRequires: gtk+2-devel
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}



Requires: perl-Gtk2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package adds perl support for the Gecko engine.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*



%changelog
* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.06-7mdv2007.1
+ Revision: 148594
- Force rebuild

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.06-6mdv2007.1
+ Revision: 148418
- Rebuild with latest firefox

* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-5mdv2007.1
+ Revision: 127178
- fix buildrequires
- rebuild for new firefox

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - Add BuildRequires
    - import perl-Gtk2-MozEmbed-0.06-2mdv2007.0


* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.06-2mdv2007.0
- Rebuild for new firefox

* Thu Aug 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.06-1mdv2007.0
- new release

* Thu Oct 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.05-2mdk
- link against firefox, not mozilla (#19366)

* Wed Oct 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Fix BuildRequires
- %mkrel

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-2mdk
- Rebuild for new perl

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- new release

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.00-0.1mdk
- initial release

